## tochnog 98.10.27-3

=== src/Makefile ===
F2C=
# Set F2C by outcommenting the next line if f2c is installed for unix
# F2C= -lf2c
# Set F2C by outcommenting the next line if f2c is installed for dos and windows
# F2C= f2c.lib

# specially for borland
SRC_CPP=cc
SRC_C=c
SYSFILE=sysother
BCPP=-P
VCPP=
COMPILER_C=bcc32
COMPILER_CPP=bcc32
COMPILER_FLAGS= -c -O2 -w-
OBJ=obj
LINK_FLAGS_BEFORE= -l $(F2C)
LINK_FLAGS_AFTER=

default: linux_old

borland_cpp:
	make tn
	del tn.exe > nul
	ren adjust.exe tochnog.exe

visual_cpp:
	nmake tn \
	"SYSFILE=sysother" \
        "OBJ=obj" \
        "BCPP=" \
        "VCPP=/Tp" \
	"COMPILER_C=cl" \
	"COMPILER_CPP=cl" \
	"COMPILER_FLAGS= /c /O2" \
	"LINK_FLAGS_BEFORE=" \
	"LINK_FLAGS_AFTER= /lm $(F2C) /o tochnog"

linux_old: 
	make tn \
	"SYSFILE=sysother" \
	"OBJ=o" \
        "BCPP=" \
        "VCPP=" \
	"COMPILER_C=gcc" \
	"COMPILER_CPP=g++" \
	"COMPILER_FLAGS= -ansi -c -Wall" \
	"LINK_FLAGS_BEFORE=" \
	"LINK_FLAGS_AFTER=  $(F2C) -static -L/usr/local/libc-5.4.38/libc/elfstatic/ -lm -o tochnog"
linux: 
	make tn \
	"SYSFILE=sysposix" \
	"OBJ=o" \
        "BCPP=" \
        "VCPP=" \
	"COMPILER_C=gcc" \
	"COMPILER_CPP=g++" \
	"COMPILER_FLAGS= -ansi -c -Wall -D_REENTRANT" \
	"LINK_FLAGS_BEFORE=" \
	"LINK_FLAGS_AFTER= $(F2C) -static -L/usr/local/libc-5.4.38/libc/elfstatic/ -lm -lpthread -o tochnog"

linux_insure: 
	make tn \
	"SYSFILE=sysother" \
	"OBJ=o" \
        "BCPP=" \
        "VCPP=" \
	"COMPILER_C=insure" \
	"COMPILER_CPP=insure" \
	"COMPILER_FLAGS= -ansi -g -c -Wall" \
	"LINK_FLAGS_BEFORE=" \
	"LINK_FLAGS_AFTER= $(F2C) -lm -o tochnog"

hp: 
	make tn \
	"SYSFILE=sysother" \
	"OBJ=o" \
        "BCPP=" \
        "VCPP=" \
	"COMPILER_FLAGS= -c -Aa -O" \
	"COMPILER_C=cc" \
	"COMPILER_CPP=CC" \
	"LINK_FLAGS_BEFORE=" \
	"LINK_FLAGS_AFTER= $(F2C) -lm -o tochnog"

sgi:
	make tn \
	"SYSFILE=syssgi" \
	"OBJ=o" \
        "BCPP=" \
        "VCPP=" \
	"COMPILER_FLAGS= -c -O2" \
	"COMPILER_C=cc" \
	"COMPILER_CPP=CC" \
	"LINK_FLAGS_BEFORE=" \
	"LINK_FLAGS_AFTER= $(F2C) -lm -lmpc -o tochnog"

sparc:
	make tn \
	"SYSFILE=sysother" \
	"OBJ=o" \
        "BCPP=" \
        "VCPP=" \
	"COMPILER_FLAGS= -c -O2" \
	"COMPILER_C=cc" \
	"COMPILER_CPP=c++" \
	"LINK_FLAGS_BEFORE=" \
	"LINK_FLAGS_AFTER= $(F2C) -lm -o tochnog"

tn: adjust.$(OBJ) area.$(OBJ) \
	bounda.$(OBJ) calcul.$(OBJ) cblas.$(OBJ) \
	check.$(OBJ) clapack.$(OBJ) condif.$(OBJ) \
	contact.$(OBJ) create.$(OBJ) \
	damage.$(OBJ) data.$(OBJ) \
	database.$(OBJ) delete.$(OBJ) \
	dof.$(OBJ) elasti.$(OBJ) elem.$(OBJ) \
	error.$(OBJ) failure.$(OBJ) \
	filter.$(OBJ) force.$(OBJ) general.$(OBJ) \
	geometry.$(OBJ) groundfl.$(OBJ) group.$(OBJ) \
	hyperela.$(OBJ) initia.$(OBJ) \
	input.$(OBJ) integra.$(OBJ) intersec.$(OBJ) \
	inverse.$(OBJ) locate.$(OBJ) \
	macro.$(OBJ) map.$(OBJ) \
	materi.$(OBJ) math.$(OBJ) \
	membrane.$(OBJ) merge.$(OBJ) mesh.$(OBJ) \
	miscel.$(OBJ) new_mesh.$(OBJ) \
	node.$(OBJ) plasti.$(OBJ) \
	point_el.$(OBJ) polynom.$(OBJ) post.$(OBJ) \
	pri.$(OBJ) print.$(OBJ) \
	print_cm.$(OBJ) print_da.$(OBJ) \
	print_gm.$(OBJ) print_hi.$(OBJ) \
	print_pl.$(OBJ) print_ma.$(OBJ) \
	print_te.$(OBJ) print_vt.$(OBJ) \
	project.$(OBJ) range.$(OBJ) \
	refine_g.$(OBJ) refine_l.$(OBJ) remesh.$(OBJ) \
	renumber.$(OBJ) repeat.$(OBJ) restart.$(OBJ) \
	slide.$(OBJ) solve.$(OBJ) split.$(OBJ) stress.$(OBJ) \
	$(SYSFILE).$(OBJ) tendon.$(OBJ) tn.$(OBJ) \
	top.$(OBJ) tyings.$(OBJ) \
	umat.$(OBJ) user.$(OBJ) \
	viscoela.$(OBJ) viscosit.$(OBJ) \
	volume.$(OBJ) wave.$(OBJ)
	$(COMPILER_CPP) $(LINK_FLAGS_BEFORE) *.$(OBJ) $(LINK_FLAGS_AFTER)

adjust.$(OBJ): adjust.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)adjust.cc

area.$(OBJ): area.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)area.cc

bounda.$(OBJ): bounda.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)bounda.cc

calcul.$(OBJ): calcul.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)calcul.cc

cblas.$(OBJ): cblas.c
	$(COMPILER_C) $(COMPILER_FLAGS) cblas.c

check.$(OBJ): check.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)check.cc

clapack.$(OBJ): clapack.c
	$(COMPILER_C) $(COMPILER_FLAGS) clapack.c

condif.$(OBJ): condif.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)condif.cc

contact.$(OBJ): contact.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)contact.cc

create.$(OBJ): create.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)create.cc

damage.$(OBJ): damage.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)damage.cc

data.$(OBJ): data.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)data.cc

database.$(OBJ): database.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)database.cc

delete.$(OBJ): delete.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)delete.cc

dof.$(OBJ): dof.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)dof.cc

elasti.$(OBJ): elasti.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)elasti.cc

elem.$(OBJ): elem.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)elem.cc

error.$(OBJ): error.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)error.cc

failure.$(OBJ): failure.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)failure.cc

filter.$(OBJ): filter.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)filter.cc

force.$(OBJ): force.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)force.cc

general.$(OBJ): general.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)general.cc

geometry.$(OBJ): geometry.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)geometry.cc

groundfl.$(OBJ): groundfl.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)groundfl.cc

group.$(OBJ): group.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)group.cc

hyperela.$(OBJ): hyperela.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)hyperela.cc

initia.$(OBJ): initia.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)initia.cc

input.$(OBJ): input.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)input.cc

integra.$(OBJ): integra.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)integra.cc

intersec.$(OBJ): intersec.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)intersec.cc

inverse.$(OBJ): inverse.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)inverse.cc

locate.$(OBJ): locate.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)locate.cc

macro.$(OBJ): macro.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)macro.cc

map.$(OBJ): map.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)map.cc

materi.$(OBJ): materi.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)materi.cc

math.$(OBJ): math.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)math.cc

membrane.$(OBJ): membrane.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)membrane.cc

merge.$(OBJ): merge.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)merge.cc

mesh.$(OBJ): mesh.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)mesh.cc

miscel.$(OBJ): miscel.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)miscel.cc

new_mesh.$(OBJ): new_mesh.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)new_mesh.cc

node.$(OBJ): node.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)node.cc

plasti.$(OBJ): plasti.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)plasti.cc

point_el.$(OBJ): point_el.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)point_el.cc

polynom.$(OBJ): polynom.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)polynom.cc

post.$(OBJ): post.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)post.cc

pri.$(OBJ): pri.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)pri.cc

print.$(OBJ): print.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)print.cc

print_cm.$(OBJ): print_cm.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)print_cm.cc

print_da.$(OBJ): print_da.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)print_da.cc

print_gm.$(OBJ): print_gm.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)print_gm.cc

print_hi.$(OBJ): print_hi.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)print_hi.cc

print_ma.$(OBJ): print_ma.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)print_ma.cc

print_pl.$(OBJ): print_pl.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)print_pl.cc

print_te.$(OBJ): print_te.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)print_te.cc

print_vt.$(OBJ): print_vt.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)print_vt.cc

project.$(OBJ): project.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)project.cc

range.$(OBJ): range.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)range.cc

refine_g.$(OBJ): refine_g.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)refine_g.cc

refine_l.$(OBJ): refine_l.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)refine_l.cc

remesh.$(OBJ): remesh.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)remesh.cc

renumber.$(OBJ): renumber.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)renumber.cc

repeat.$(OBJ): repeat.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)repeat.cc

restart.$(OBJ): restart.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)restart.cc

slide.$(OBJ): slide.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)slide.cc

solve.$(OBJ): solve.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)solve.cc

split.$(OBJ): split.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)split.cc

stress.$(OBJ): stress.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)stress.cc

$(SYSFILE).$(OBJ): $(SYSFILE).cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)$(SYSFILE).cc

tendon.$(OBJ): tendon.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)tendon.cc

tn.$(OBJ): tn.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)tn.cc

top.$(OBJ): top.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)top.cc

tyings.$(OBJ): tyings.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)tyings.cc

umat.$(OBJ): umat.c
	$(COMPILER_C) $(COMPILER_FLAGS) umat.c

user.$(OBJ): user.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)user.cc

viscoela.$(OBJ): viscoela.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)viscoela.cc

viscosit.$(OBJ): viscosit.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)viscosit.cc

volume.$(OBJ): volume.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)volume.cc

wave.$(OBJ): wave.cc
	$(COMPILER_CPP) $(COMPILER_FLAGS) $(BCPP) $(VCPP)wave.cc

clean:
	rm -f hip hop tmp.* *.log *.dbs *.aux *.dat *.his *.inp *.ps \
        *.inp *.rgb *.jpg *.attr *.plt *.scr *.out *.dvd *.vtk vtn* *.o

=== test/Makefile ===
default: small

TN="tochnog"

all: small large very_large 

small:
	$(TN) absorp1
	$(TN) axisym1
	$(TN) axisym2
	$(TN) axisym3
	$(TN) axisym4
	$(TN) calcul1
	$(TN) calcul2
	$(TN) condif1
	$(TN) condif2
	$(TN) condif3
	$(TN) condif5
	$(TN) condif6
	$(TN) contac1
	$(TN) contac2
	$(TN) contac3
	$(TN) convec1
	$(TN) convec2
	$(TN) ctvmis1
	$(TN) ctvmis2
	$(TN) depend1
	$(TN) distri1
	$(TN) doftying
	$(TN) druckpr1
	$(TN) eigen1
	$(TN) eigen2
	$(TN) eigen3
	$(TN) elasti1
	$(TN) elasti2
	$(TN) elasti3
	$(TN) elasti4
	$(TN) examp4
	$(TN) examp7
	$(TN) examp12
	$(TN) expans1
	$(TN) expans2
	$(TN) force1
	$(TN) ground1
	$(TN) ground2
	$(TN) incnav1
	$(TN) incnav2
	$(TN) incnav3
	$(TN) incnav4
	$(TN) interac1
	$(TN) inver1
	$(TN) inver2
	$(TN) macro1
	$(TN) macro2
	$(TN) matrix1
	$(TN) matrix2
	$(TN) matrix3
	$(TN) matrix4
	$(TN) matrix5
	$(TN) matrix6
	$(TN) matrix7
	$(TN) matrix8
	$(TN) matrix9
	$(TN) membran1
	$(TN) membran2
	$(TN) merge1
	$(TN) mesh2
	$(TN) mohrcou1
	$(TN) mohrcou2
	$(TN) mohrcou3
	$(TN) nodfor1
	$(TN) post1
	$(TN) post2
	$(TN) post3
	$(TN) post4
	$(TN) post5
	$(TN) post6
	$(TN) pridbs
	$(TN) pridbs1.dbs
	$(TN) radiate1
	$(TN) radiate2
	$(TN) refine1
	$(TN) refine2
	$(TN) refine3
	$(TN) refine4
	$(TN) remesh1
	$(TN) repeat1
	$(TN) repeat2
	$(TN) skip1
	$(TN) slide1
	$(TN) soften1
	$(TN) strconv1 
	$(TN) temp1
	$(TN) temp2
	$(TN) temp3
	$(TN) temp4
	$(TN) temp5
	$(TN) tendon1 
	$(TN) tendon2
	$(TN) tendon3
	$(TN) tendon4
	$(TN) tendon6
	$(TN) tendon7
	$(TN) tendon8
	$(TN) tendon10
	$(TN) tension1
	$(TN) total1
	$(TN) transv1
	$(TN) update1
	$(TN) viscel1
	$(TN) visc_pl1
	$(TN) visc_pl2
	$(TN) volume1
	$(TN) volume2
	$(TN) vonmis1
	$(TN) vonmis2
	$(TN) wave1

large:
	$(TN) buckl1
	$(TN) examp1
	$(TN) examp2
	$(TN) examp3
	$(TN) examp5
	$(TN) examp6
	$(TN) examp8
	$(TN) examp9
	$(TN) examp10
	$(TN) examp11
	$(TN) examp15
	$(TN) examp16
	$(TN) examp17
	$(TN) examp18
	$(TN) examp20
	$(TN) examp21
	$(TN) hyper1
	$(TN) large1
	$(TN) mesh1

very_large:
	$(TN) examp13
	$(TN) examp14
	$(TN) examp19
	$(TN) examp23
	$(TN) examp24

clean:
	rm -f *.dbs *.aux *.his *.inp *.gif *.jpg *.rgb *.ps *.out *.vtk vtn* plotmtv* tn.dat

=== debian/changelog ===
tochnog (98.10.27-3) frozen unstable; urgency=low

  *  make tochnog recommend tochnog-doc
  *  add url to description.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 16 Nov 1998 01:21:39 -0700
	

tochnog (98.10.27-2) frozen unstable; urgency=low

  * This is the same as that uploaded last Tuesday,
    well before the freeze.  Please install it.  

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat, 31 Oct 1998 13:32:03 -0700

tochnog (98.10.27-1) unstable; urgency=low

  * New upstream source.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue, 29 Sep 1998 19:10:01 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "lapeyre@physics.arizona.edu"
End:

=== debian/control ===
Source: tochnog
Section: math
Priority: optional
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.3.0.1

Package: tochnog
Architecture: any
Depends:  ${shlibs:Depends}
Recommends: plotmtv, tochnog-doc
Conflicts: tn
Replaces: tn
Description: finite element analysis program
 Tochnog is a program for finite element analysis.
 Multithreading and multiprocessor systems are 
 supported.  Here is a partial list of 
 models supported:
 Differential equations (materials).
 Convection-diffusion equations,
 Stokes and Navier-Stokes,
 Elasticity (isotropy and transverse isotropy),
 Plasticity (Von-Mises, Mohr-Coulomb, 
 Gurson, etc.; plasticity surfaces can be 
 arbitrarily combined).
 .
 Residues in equations and error estimates
 for all data can be printed/plotted.
 web page: 
 http://info.uibk.ac.at/c/c8/c813/tn_release/tnhome.html

Package: tochnog-doc
Architecture: all
Description: documentation for tochnog
 This is documentation necessary for using
 the tochnog finite element analysis program.

=== debian/rules ===
#!/usr/bin/make -f
# ssystem debian build rules
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
 
package=tochnog
package2=tochnog-doc

INSTALL=/usr/bin/install

CC=cc
CXX=g++

build:
	$(checkdir)
	cd src; \
	make tn \
	"SYSFILE=sysposix" \
	"OBJ=o" \
        "BCPP=" \
        "VCPP=" \
	"COMPILER_C=$(CC)" \
	"COMPILER_CPP=$(CXX)" \
	"COMPILER_FLAGS= -g -ansi -c -Wall -D_REENTRANT" \
	"LINK_FLAGS_BEFORE=" \
	"LINK_FLAGS_AFTER=  -lm -lpthread -o tochnog"
	

#  -f2c was included above , but is apparantly not needed.

	cd doc; export TMP=/tmp ; latex2html tnp.tex
	cd doc; export TMP=/tmp ; latex2html tnu.tex
	cd doc; export TMP=/tmp ; latex2html vtn.tex



clean:
	$(checkdir)
	-rm -f build
	-cd src; make clean
	-cd doc; rm -rf tnp tnu vtn
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot
	$(checkdir)
	-rm -rf debian/tmp

#  Install directories
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/doc/$(package)/examples
	install -d debian/tmp/DEBIAN



#  Install binary
	strip --strip-unneeded src/$(package)
	install -m 755 src/$(package) debian/tmp/usr/bin

# Install example file
	cp test/* debian/tmp/usr/doc/$(package)/examples
	gzip -9v debian/tmp/usr/doc/$(package)/examples/*

# Install man pages


# Install docs in proper directory and gzip them
#
	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(package)
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
#	cp ChangeLog debian/tmp/usr/doc/$(package)/changelog
	-gzip -9fv debian/tmp/usr/doc/$(package)/*

# don't gzip these
#
	cp debian/copyright debian/tmp/usr/doc/$(package)/copyright



# Install data
	   dpkg-shlibdeps debian/tmp/usr/bin/*
	   dpkg-gencontrol -p$(package)
	   chown -R root.root debian/tmp
	   chmod -R go=rX debian/tmp
	   dpkg --build debian/tmp ..

###########################################################
#  Now build Doc package.

	-rm -rf debian/tmp

#  Install directories
	install -d debian/tmp/usr/doc/$(package2)
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/DEBIAN

	cp -r doc/tnp doc/tnu doc/vtn debian/tmp/usr/doc/$(package)
	cp doc/*.tex debian/tmp/usr/doc/$(package)
	cp -r doc/ps debian/tmp/usr/doc/$(package)

# Install man pages

#	install -m 644  debian/admesh.1 debian/tmp/usr/man/man1
#	gzip -vf9 debian/tmp/usr/man/man1/*


# Install docs in proper directory and gzip them
#
	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(package2)
	cp debian/README.debian.doc \
	   debian/tmp/usr/doc/$(package2)/README.debian
	cp debian/changelog debian/tmp/usr/doc/$(package2)/changelog.Debian
	-gzip -9fv debian/tmp/usr/doc/$(package2)/*

# don't gzip these
#
	cp debian/copyright debian/tmp/usr/doc/$(package2)/copyright



# Build doc package
	   dpkg-gencontrol -p$(package2)
	   chown -R root.root debian/tmp
	   chmod -R go=rX debian/tmp
	   dpkg --build debian/tmp ..




define checkdir
	/usr/bin/test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
